Bug on high dpi displays with 3.4 Beta

Report crashes, strange behaviour, or apparent bugs
Post Reply
nyloc
Posts: 2
Joined: 04 Apr 2017, 10:53

Bug on high dpi displays with 3.4 Beta

Post by nyloc » 04 Apr 2017, 11:11

Hi, I'm currently using V-REP 3.4 Beta on a 2880x1620 15" screen and almost all dialogues are broken.
I have added an image to show what I mean.

Image

Is this a known bug and will that be fixed in the final release?

Best Regards,
Alex

coppelia
Site Admin
Posts: 6224
Joined: 14 Dec 2012, 00:25

Re: Bug on high dpi displays with 3.4 Beta

Post by coppelia » 04 Apr 2017, 13:11

Hello Alex,

thank you for the notice.
What platform are you running on?
Are you sure the problem didn't appear with a previous V-REP version?
Also, is there a dialog that appears normal, so that we can more easily try to find the source of the error.

Finally, what happens when you adjust following variables in the system/usrset.txt file:
  • highResDisplay
  • guiFontSize
Cheers

coppelia
Site Admin
Posts: 6224
Joined: 14 Dec 2012, 00:25

Re: Bug on high dpi displays with 3.4 Beta

Post by coppelia » 04 Apr 2017, 13:14

oh, and is it possible that you have several monitors attached to your computer? Possibly monitors with different DPI settings..

nyloc
Posts: 2
Joined: 04 Apr 2017, 10:53

Re: Bug on high dpi displays with 3.4 Beta

Post by nyloc » 05 Apr 2017, 10:03

Hi,
Thanks for the quick reply, it seem the email notification wasn't enabled so sorry for the delay.

I'm running on Arch Linux Kernel: 4.10.6 with KDE 5.9.4 on a single screen.
# xdpyinfo | grep dots
resolution: 144x144 dots per inch
# qmake --version
QMake version 3.1
Using Qt version 5.8.0 in /usr/lib

During my test I figured out that this behavior does not show with Qt 5.5 that is shipped with the binary release just with 5.8, but I had to run against my system Qt to get the rosInterfacePlugin working. So sorry for the noise I guess I have to figure out how to rebuild the ROS interface plugin against the shipped library versions.

I already tried to build and repackage vrep from source (3.3.2), but that was another messy task as I tried to deploy vrep in a FSH-Compliant way. I managed to build, deploy and run vrep, but had the same issues with broken dialogs (That was why my assumption came into place that it is Qt 5 related, wasn't expecting a minor release to break the dialogs). Also the application crashed after a few minutes with a segfault, I guess that my directory permissions are still to restrictive, I already had to set 777 on the models directory as I figured out that vrep is writing there by default, I expect the crash coming from some auto save or something like that. But I'm drifting from the topic. If you would like I could open a new one for the repackaging for Arch User Repository.

coppelia
Site Admin
Posts: 6224
Joined: 14 Dec 2012, 00:25

Re: Bug on high dpi displays with 3.4 Beta

Post by coppelia » 07 Apr 2017, 08:07

Thanks for the feedback.

V-REP is still in a long refactoring process and many things should be improved and adjusted. The support for better graphics and high resolution screens is also one of them.

Cheers

Post Reply